package com.hongyegroup.cpt_pensonal.mvvm

import androidx.hilt.lifecycle.ViewModelInject
import androidx.lifecycle.MutableLiveData
import com.guadou.cs_cptservices.binding.BaseDataBindingAdapter
import com.guadou.lib_baselib.base.vm.BaseViewModel
import com.hongyegroup.cpt_pensonal.BR
import com.hongyegroup.cpt_pensonal.R

class PensonalMyTestViewModel @ViewModelInject constructor(

) : BaseViewModel() {

    var mKeywordLiveData: MutableLiveData<String> = MutableLiveData()

    var mCurPage = 1
    private var isNeedPlaceHolder = true
    var isNeedCleanAllData = true
    var mDatas = mutableListOf<String>()
    val mAdapter by lazy { BaseDataBindingAdapter(R.layout.item_my_test, BR.item, mDatas) }

}